Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/beecrypt.gas.h File Reference

`#include "config.h"`

Go to the source code of this file.

## Defines
#define | SYMBOL_NAME(name) name
#define | ALIGNMENT 8
#define | LABEL(name) SYMBOL_NAME(name):
#define | LOCAL(name) .L/**/name
#define | C_FUNCTION_TYPE @function
#define | C_FUNCTION_BEGIN(name)
#define | C_FUNCTION_END(name, label) label: .size SYMBOL_NAME(name), label - SYMBOL_NAME(name);

## Define Documentation

#define ALIGNMENT 8

| Definition at line 31 of file beecrypt.gas.h.

#define C_FUNCTION_BEGIN | ( | name |  | ) |

| Value:
    .align  ALIGNMENT; \
            .global SYMBOL_NAME(name)
Definition at line 74 of file beecrypt.gas.h.

#define C_FUNCTION_END | ( | name,
|  | label |  | ) | label: .size SYMBOL_NAME(name), label - SYMBOL_NAME(name);

| Definition at line 77 of file beecrypt.gas.h.

#define C_FUNCTION_TYPE @function

| Definition at line 60 of file beecrypt.gas.h.

#define LABEL | ( | name |  | ) | SYMBOL_NAME(name):

| Definition at line 34 of file beecrypt.gas.h.

#define LOCAL | ( | name |  | ) | .L/**/name

| Definition at line 41 of file beecrypt.gas.h.

#define SYMBOL_NAME | ( | name |  | ) | name

| Definition at line 14 of file beecrypt.gas.h.